
apply plugin: 'com.google.osdetector'

dependencies {
    api project(':netty-handler-codec')
    api project(':netty-internal-tcnative')
    api project(':netty-channel-unix')
    implementation libs.bouncycastle
    implementation libs.conscrypt
    testImplementation testLibs.mockito.core
    testImplementation testLibs.assertj
    testImplementation project(':netty-handler')
    testImplementation (testLibs.amazonCorrettoCrypt) {
        artifact {
            classifier = osdetector.classifier
        }
    }
    testRuntimeOnly project(path: ':netty-tcnative-boringssl-static', configuration: osdetector.classifier)
}
